Subject: Re: [devuan-dev] bug#490: gpsd: Current version of gpsd does not install /etc/init.d/gpsd and fails to start

From: Boian Bonev <[email-masked]>
Date: Tue, 14 Jul 2020 04:47:56 +0300

Hi Mark,

> If you are prepared to fork an maintain a package that would be
> great.

Sure, why not.

At first glance the package in Debian sid has some changes that are not
in the package git repository https://github.com/bzed/pkg-gpsd - the
latest there is 3.19-1. It would have been nicer to keep that history
but alas 3.20-12 is not there. Cloning that and committing the 3.20-12
on top of that does not make much sense to me, so I decided to only
import 3.20-12 without history.

I am going to remove systemd dependencies and stuff first and then
maybe do some cleanup; I am wondering how much cleaning it up is a good
idea or not - maintaining that later would be easier if it is kept as
close to the Debian package as possible...

> In  the first instance I suggest you put it in your personal
> namespace on
> https://git.devuan.org. Once we have reviewed it we can adopt it as
> an official
> package.

My repo is https://git.devuan.org/bbonev/gpsd I will update here after
it is ready for review.

With best regards,
b.